[Numpy-discussion] ANNOUNCE: ETS 3.1.0 released!

Gael Varoquaux gael.varoquaux@normalesup....
Sat Dec 13 07:10:24 CST 2008


On Fri, Dec 12, 2008 at 12:27:28PM -0500, Robert Pyle wrote:
> ------

> I tried 'easy_install -U ETS==3.1.0'

> and ended up with:
> ------
> The package setup script has attempted to modify files on your system
> that are not within the EasyInstall build area, and has been aborted.

> This package cannot be safely installed by EasyInstall, and may not
> support alternate installation locations even if you run its setup
> script by hand.  Please inform the package's author and the EasyInstall
> maintainers to find out if a fix or workaround is available.
> ------

AFAIK this is a bug/conflict in numpy.distutils or setuptools (hard to
say which one is wrong, but they do raise this problem).

I think the issue goes away if you rerun the easy_install command several
times. Each times it seems to go further.

Gaël


More information about the Numpy-discussion mailing list